#sample dataset
import pandas as pd
import numpy as np
from StringIO import StringIO

__all__ = ['waltons_data', 'regression_data']

def generate_waltons_data():
    waltonG = np.array(['miR-137', 'miR-137', 'miR-137', 'miR-137', 'miR-137', 'miR-137',
                        'miR-137', 'miR-137', 'miR-137', 'miR-137', 'miR-137', 'miR-137',
                        'miR-137', 'miR-137', 'miR-137', 'miR-137', 'miR-137', 'miR-137',
                        'miR-137', 'miR-137', 'miR-137', 'miR-137', 'miR-137', 'miR-137',
                        'miR-137', 'miR-137', 'miR-137', 'miR-137', 'miR-137', 'miR-137',
                        'miR-137', 'miR-137', 'miR-137', 'miR-137', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control', 'control', 'control', 'control', 'control', 'control',
                        'control'], dtype=object)

    waltonT = np.array([6., 13., 13., 13., 19., 19., 19., 26., 26., 26., 26.,
                        26., 33., 33., 47., 62., 62., 9., 9., 9., 15., 15.,
                        22., 22., 22., 22., 29., 29., 29., 29., 29., 36., 36.,
                        43., 33., 54., 54., 61., 61., 61., 61., 61., 61., 61.,
                        61., 61., 61., 61., 69., 69., 69., 69., 69., 69., 69.,
                        69., 69., 69., 69., 32., 53., 53., 60., 60., 60., 60.,
                        60., 68., 68., 68., 68., 68., 68., 68., 68., 68., 68.,
                        75., 17., 51., 51., 51., 58., 58., 58., 58., 66., 66.,
                        7., 7., 41., 41., 41., 41., 41., 41., 41., 48., 48.,
                        48., 48., 48., 48., 48., 48., 56., 56., 56., 56., 56.,
                        56., 56., 56., 56., 56., 56., 56., 56., 56., 56., 56.,
                        56., 56., 63., 63., 63., 63., 63., 63., 63., 63., 63.,
                        69., 69., 38., 38., 45., 45., 45., 45., 45., 45., 45.,
                        45., 45., 45., 53., 53., 53., 53., 53., 60., 60., 60.,
                        60., 60., 60., 60., 60., 60., 60., 60., 66.])

    waltonC = np.array([1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 0, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1])

    waltons_data = pd.DataFrame(waltonT, columns=['T'])
    waltons_data['E'] = waltonC
    waltons_data['group'] = waltonG
    return waltons_data


def generate_regression_dataset():
    return pd.read_csv(
    StringIO("""
var1,var2,var3,var4,T,E
0.5951697438546901,1.14347169375119,1.5710788740267934,1.0,14.785478547854785,1
0.20932541672176813,0.18467669526521932,0.356980285734657,1.0,7.336733673367337,1
0.6939189256884803,0.07189290564119132,0.5579596369568557,1.0,5.271527152715271,1
0.44380363548686375,1.3646463260393265,0.3742214001155121,1.0,11.684168416841684,1
1.6133244141559746,0.12556628933069874,1.9213247307606491,1.0,7.637763776377637,1
0.06563624239055911,0.09837537607740067,0.23789556103788456,1.0,12.678267826782678,1
0.3862944076628313,1.6630915467299439,0.7903142211383773,1.0,6.601660166016601,1
0.9466875753512356,1.3453940656312007,3.20911268157136,1.0,11.369136913691369,1
0.11373961635331922,0.40986001192916977,0.06493423455918193,1.0,14.68046804680468,1
0.7777928381300385,0.33498991375193715,0.41105454455708185,1.0,10.585058505850585,1
0.04428031892216578,0.3051578045560708,0.17648044072321029,1.0,19.37093709370937,1
1.035449993175163,3.3047331895411323,0.9973229240273257,1.0,5.558555855585558,1
0.22919500985314345,0.5813553439220956,0.4847935384909877,1.0,11.292129212921292,1
0.055970031448070424,2.6741349607106155,0.355278796648057,1.0,9.91999199919992,0
1.2365825459439084,1.7965983662360094,0.1799518612021181,1.0,9.884988498849884,1
1.162834828839744,0.4647589263047849,2.028853965185938,1.0,6.265626562656266,1
0.14943646240437114,2.949290606109733,0.2778013526657975,1.0,13.812381238123812,1
0.39947496343506655,0.8224126950445942,0.6734045646168838,1.0,6.433643364336434,1
0.7621212350351054,0.05040707199185315,1.2851628416406744,1.0,6.979697969796979,1
1.2397184972378472,1.8692145634486852,0.020202165664896698,1.0,7.742774277427743,1
0.01922067132173192,1.4355432694660155,0.2556889900950628,1.0,4.704470447044704,1
0.09025297903613075,0.21103684560087815,0.37280945055673376,1.0,11.236123612361236,1
0.20584865589788634,0.04872152939830475,0.002529886542020026,1.0,6.664666466646665,1
0.08818541145883692,1.319678843244738,0.20167456926415986,1.0,10.718071807180717,1
4.629747231213237,0.3635220036804111,1.082069652236349,1.0,11.593159315931592,1
1.6028357835065097,1.2178806764186096,0.35083696741050086,1.0,8.463846384638464,1
0.014803824363587861,0.684736603307301,0.49326684311601293,1.0,5.432543254325433,1
0.08402018524843372,1.4320927559100234,0.45654106320201726,1.0,10.277027702770276,1
2.2602231152333183,1.2389295766737747,5.541837905521401,1.0,7.217721772177217,1
0.6219675941549933,0.6844282332663192,0.13593343710135816,1.0,13.217321732173216,1
0.013219618434182224,3.280555158901928,1.1935510257771664,1.0,8.02980298029803,1
0.07065061567146355,1.4305166496493416,0.005205103509701803,1.0,9.807980798079807,1
0.20598001665787236,0.2906403268309732,0.09656491489599246,1.0,2.632263226322632,1
1.3898823754015133,0.14313310089044293,0.8212569616609695,1.0,6.16061606160616,1
0.1041428509032402,2.0729237697158687,0.44969632462401904,1.0,6.265626562656266,1
0.42848094029362643,0.0657386549672956,3.007549641542905,1.0,4.6064606460646065,0
1.7851514646797528,1.572281968110713,0.4750592215655808,1.0,11.124112411241123,1
0.2288930857061604,0.4290248263765111,0.6080495332734298,1.0,6.083608360836084,1
0.6408374226724668,0.3110844239838485,3.165658013979253,1.0,9.21992199219922,1
1.4506834585050246,0.8470215479051397,2.5211773096233125,1.0,7.11971197119712,0
0.4694585306561667,0.3188706619292891,0.1644982392688507,1.0,13.056305630563056,1
0.36617032773460906,0.23499054954373066,0.6787089172155912,1.0,4.949494949494949,1
1.4325700749632688,2.6683348373975835,0.5580459839005906,1.0,4.858485848584858,1
2.6964625114706475,0.2440771927392136,1.3151113425711525,1.0,8.505850585058505,1
0.1526241013743321,0.3795012266932666,0.33016412502250847,1.0,7.035703570357035,1
0.2773992396102305,0.8716028944125993,1.5551848689645897,1.0,10.837083708370837,1
0.35363295058305305,0.2942364717604685,0.928572980260901,1.0,9.91999199919992,1
0.6209559765590129,0.021883945410842317,3.2057599432524446,1.0,5.292529252925292,1
0.0007568304763381865,1.2166148822226333,0.861069144884359,1.0,20.98109810981098,1
0.49767424081959755,2.7440324329670998,0.47358881276915743,1.0,5.810581058105811,1
1.2137088085905934,0.07275599207614739,0.09841971036529058,1.0,11.292129212921292,1
0.42625505542983516,2.5503918593511834,0.16762004376155556,1.0,8.197819781978197,1
0.008407884071948186,1.1322046751704602,1.234917068207736,1.0,7.469746974697469,1
1.2078327963731073,0.13335024539249735,0.5282312740233687,1.0,10.669066906690668,1
0.03697513660742381,0.04063127750698724,0.26639991908008803,1.0,10.543054305430543,1
0.7894393169081668,0.6690671614657788,1.332696669959017,1.0,6.286628662866287,1
1.4820545200203379,0.6272053107704317,0.7382709520263689,1.0,9.07990799079908,1
1.0286706763487006,0.21520971284363008,0.4576922032422134,1.0,14.183418341834184,1
0.5219860974428132,2.2826832385597053,0.3159760374764989,1.0,21.94019401940194,1
0.26262150375034216,0.34599897459539214,0.9210972350271455,1.0,8.883888388838884,1
0.3603185292736921,1.0013639154752498,0.23753343016870013,1.0,9.982998299829983,1
0.36258730978535225,0.11004608090501279,2.486690734049395,1.0,9.555955595559556,1
1.793597848573506,0.31000116451013165,0.2630657683775386,1.0,8.65986598659866,1
0.41927486658740915,0.11430798994374779,1.1247838155390644,1.0,5.642564256425643,1
1.4702472205197898,0.2890540418325013,0.3318326887742901,1.0,10.998099809980998,1
0.27476015833462675,0.5235084940908867,2.1392038030338645,1.0,8.05080508050805,1
0.11980513172176577,0.7337739574393896,0.21205713898221487,1.0,11.25012501250125,1
0.36929383231374174,0.6098469611582363,0.8940195386288149,1.0,10.214021402140213,0
1.0182500552417189,2.11966580239176,0.7160022115370389,1.0,12.335233523352334,1
0.6070648773862332,2.35011157373498,0.031389772541161494,1.0,15.723572357235723,1
4.169830595980441,0.316285150306315,0.16934997037199687,1.0,11.83118311831183,0
1.4833831655715266,2.2427435143701286,0.2654297513609948,1.0,7.364736473647365,1
0.3235970939468162,0.16515876334551072,0.972039635805659,1.0,12.517251725172517,1
1.8271599686965596,0.32779377433995044,0.9415389427692891,1.0,8.512851285128512,1
0.1041042817799716,0.9233022552016643,1.220070449306738,1.0,12.797279727972796,1
0.39276556698481113,0.42279366106549976,3.4826081972861176,1.0,8.54085408540854,1
2.5796288001231322,0.10901056442071824,2.2800280401047317,1.0,3.5633563356335634,1
0.7750915163023366,0.9745192277909625,2.223698799162753,1.0,9.576957695769577,1
0.5075933616804139,0.9172783608153234,0.103131049110046,1.0,9.646964696469647,1
0.13843715360247075,2.4740843287186447,1.6350046807164011,1.0,11.789178917891789,1
1.120585964966159,1.4805929626236445,0.6382436960512384,1.0,4.648464846484648,0
0.0018418064186871458,0.601451742117251,0.40550997208118705,1.0,14.162416241624163,1
0.996979183052272,0.44858987576726395,0.7820131464779746,1.0,7.490749074907491,1
1.0672627247452178,0.3045821497186961,0.7952756079285181,1.0,10.739073907390738,1
1.123429379093065,1.4093153741348754,0.09089532800894148,1.0,8.23982398239824,1
0.13915819978553629,3.2035226008803197,0.2873492727969337,1.0,7.63076307630763,1
1.2765289009959737,1.0393129471235372,1.217826939298198,1.0,7.8197819781978195,1
0.17582373255135528,1.3716354861239075,1.7854883253168858,1.0,12.419241924192418,1
0.2413014755842905,4.0488064818171585,0.4234150958535507,1.0,10.564056405640564,1
1.8644438653539037,0.821838850359624,0.42636362090628127,1.0,6.293629362936294,1
0.3402951177961094,0.727142869677613,0.3414365394082265,1.0,12.405240524052404,1
5.130831208190108,0.07451281215759868,0.8015256927889071,1.0,10.795079507950796,1
1.4046349355543402,0.0392514176281585,0.7851619729399375,1.0,17.095709570957094,1
0.07394369314978207,0.05331475244292909,0.18626177356664297,1.0,15.464546454645465,0
1.2714884844687595,0.10678035319395672,0.29188268906478476,1.0,9.611961196119612,1
0.7814515900326462,1.2290763370760032,0.0697470619920518,1.0,14.407440744074407,1
0.39089997289660666,0.35690703998590806,0.23057954853260001,1.0,10.088008800880088,1
2.1938248595055168,0.621183576172037,0.466924902554038,1.0,5.817581758175818,1
2.9428820120534365,0.16382954233090405,1.04033340264097,1.0,7.987798779877988,1
0.7055272432734351,0.5926991549723539,0.9232476607991905,1.0,11.83118311831183,1
1.6629246762353496,2.1851704442088487,0.6642734744435368,1.0,11.873187318731873,1
0.4078422870872072,1.0116114336001172,0.4855915992362707,1.0,4.144414441444145,1
0.09132052333724856,0.2815928425136233,0.15394689976472442,1.0,8.28882888288829,1
3.538508770258959,1.807149547414044,1.3369613781592369,1.0,4.326432643264327,1
0.6610269824523992,1.171562626007443,0.3009103939819197,1.0,14.246424642464246,1
0.1065518826286166,0.12184291458381893,0.25787799749473406,1.0,5.6635663566356635,1
0.10432734740269538,1.5135027188196712,0.3145811973140573,1.0,7.917791779177918,1
0.81183737126959,1.683324264378186,0.061924630079522834,1.0,11.845184518451845,1
0.40249470639559076,0.43152022521956473,0.489576068615187,1.0,11.075107510751074,1
1.3221547483209852,0.5211605610933655,1.8599885159772198,1.0,6.888688868886889,1
0.6479539777730214,3.243630978125018,0.03407509189635303,1.0,8.344834483448345,1
0.8514762575346934,0.21736574780851486,0.29732984457567796,1.0,4.473447344734473,1
0.14999350767872174,3.0278894414152338,0.5427493733594075,1.0,9.247924792479248,1
0.38127563617891547,1.1469272170647982,0.22582995205701278,1.0,11.215121512151216,1
0.019479396520878958,1.3747073655938449,1.566595370493247,1.0,8.28882888288829,1
0.8067931024376075,0.6094099818980567,1.9036484933942928,1.0,10.074007400740074,1
0.9268283132677622,1.062157952264051,0.048544293411045755,1.0,14.484448444844483,1
0.9982817051401587,0.3859108590965986,1.4033046561457174,1.0,11.026102610261026,1
0.19875515757596698,1.6686754961119115,0.18233677832237064,1.0,6.251625162516252,1
1.6682316310403287,0.7171129015561293,0.3931803472896087,1.0,15.884588458845885,1
0.9033880759262374,0.347570437567475,0.7962154883808824,1.0,11.341134113411341,1
3.0942165873660246,0.764496697566433,3.063756167185769,1.0,7.644764476447644,1
0.5657649074699271,0.8556440187363783,2.4122224772037586,1.0,8.365836583658366,1
0.6005436656405767,0.019665778638387768,2.356106627011514,1.0,11.9011901190119,1
0.4532005593394602,0.24214916088874208,0.7611142068290219,1.0,9.912991299129914,1
0.44160471133441986,0.2713662930202241,0.9775216177363376,1.0,8.323832383238324,1
0.4113495355835634,0.02948423420287134,1.8434576889665502,1.0,11.97119711971197,1
0.5351195112288876,0.045628976816798617,0.16006748628900558,1.0,11.124112411241123,1
0.47211868864865836,2.239748581628323,0.1488282915995624,1.0,6.153615361536153,1
0.48575359774946963,1.4640131897629343,0.3802925034631497,1.0,8.911891189118911,1
5.353937453111672,0.8552983638136195,0.001005773237084357,1.0,4.879487948794879,1
0.000973612715396856,0.35496485644483466,0.6987414240173688,1.0,20.666066606660667,1
0.36145744710685124,2.7928620225050236,1.503787197764641,1.0,11.082108210821081,1
1.2026725129318079,1.8258521262972167,0.3913388032603664,1.0,8.008800880088009,1
0.8530773930337098,0.22137649239185922,1.6355386168917376,1.0,9.77997799779978,1
1.6469585179126762,3.3371691064843714,1.2626716544855696,1.0,5.6635663566356635,1
0.05049054902113934,1.0423882443442882,0.04040618497708111,1.0,10.501050105010501,1
0.6930326688921491,0.06771662251988092,1.6319301984004901,1.0,9.96899689968997,1
3.8753611845656892,1.206578736767013,0.6567852627734115,1.0,4.837483748374837,1
0.40175441214072477,1.5264428121925269,0.4496207580049677,1.0,7.952795279527953,1
2.1121413204322472,0.9946038239108969,0.1259283018587393,1.0,4.445444544454445,1
2.358111107090637,1.4111736249387716,4.747023248329813,1.0,6.930693069306931,1
0.40616651352273575,0.7479362433150686,1.2402329803968728,1.0,11.97119711971197,1
0.9833121137092842,1.3306985212515354,0.9310574260170132,1.0,12.769276927692768,1
2.802856370352899,0.14176777888646142,0.9644696142808675,1.0,6.153615361536153,1
0.22597951055292706,0.1569690586253124,0.7716777832341211,1.0,9.093909390939094,1
1.0202115825257667,1.338746533401938,1.4854066003255249,1.0,9.702970297029703,1
0.7371829653786988,0.2119671350155468,1.479703406356688,1.0,10.417041704170417,1
0.6945961478381529,0.1330654844727483,1.6121992246696701,1.0,13.182318231823182,1
1.614919107081387,1.6284138939761872,3.339563015085536,1.0,2.576257625762576,1
1.2635668936294953,0.04162647624113071,0.1344880264732324,1.0,7.091709170917092,1
1.8175903742399115,0.893709731112723,0.25683098098044016,1.0,5.74057405740574,1
0.22144152415449195,1.0004704921949568,0.13556537030145238,1.0,12.923292329232924,1
0.3885705443767488,2.3313119236097024,0.04811740463245047,1.0,12.874287428742875,1
1.3654614400117282,0.4447297819814065,0.26387964117279616,1.0,4.725472547254725,1
0.01744557059982297,1.5025104319488611,1.8596484061179372,1.0,9.835983598359835,1
0.8032167120304585,0.2596778548269076,0.30569547402326314,1.0,6.062606260626063,1
1.153737630194303,2.357564941097182,0.26492479564696175,1.0,8.092809280928092,1
0.5464251751430853,0.5165248611390022,0.059806060097181105,1.0,8.043804380438043,1
0.06136716316949647,2.453070810845582,0.23481646918124058,1.0,8.715871587158716,1
0.4211356453163569,0.295454652049226,1.1176635745546923,1.0,13.287328732873288,1
1.5747787981367054,0.7411221082974356,0.5336759550703262,1.0,10.515051505150515,1
1.3943506727733175,0.8777931273877497,1.6376518600382237,1.0,6.426642664266426,1
0.9234411598154695,1.1076137130295087,0.7829099206061244,1.0,3.6403640364036405,1
0.23134585982478487,0.6201351466524622,1.8213552975523695,1.0,4.746474647464747,1
0.735705618321913,3.405054070753984,3.4576251010339982,1.0,11.677167716771677,1
1.748839436422709,1.1326281013809654,0.812583892640099,1.0,11.558155815581557,1
0.2802913861001123,1.6648371474881212,0.051459818339006314,1.0,8.757875787578758,1
0.15085666302889103,2.545695939299097,1.4561193695377936,1.0,12.825282528252824,1
1.5516807175277625,0.12511438017073526,0.14835546399237348,1.0,15.618561856185618,0
0.7463879737526906,0.2674582954863265,0.4200361011988838,1.0,11.943194319431942,1
0.06817704542237235,0.19378821634023047,2.693532634591712,1.0,7.952795279527953,1
0.3051408759563596,0.8589878738431004,3.883753409553651,1.0,12.356235623562355,1
3.6149558299876854,0.6597836973736433,1.013163923813801,1.0,3.5633563356335634,1
1.9810328319378134,0.737971996441928,0.2720711604679828,1.0,8.561856185618561,1
0.19708044679622314,1.1649575645233563,0.8204869845982585,1.0,4.207420742074207,1
0.027854134406850403,0.6533255821466247,0.08022010668090788,1.0,21.03010301030103,1
1.8066664037191318,3.535072020442403,2.1767587869903036,1.0,5.810581058105811,1
0.16528780485551056,1.6233946294015358,1.994550831122152,1.0,8.7998799879988,1
1.6170625036979323,0.4947975295247246,0.1315965858883526,1.0,7.798779877987799,0
1.2987944075293532,1.7780364608174435,0.4536930070119434,1.0,12.657265726572657,1
0.707968441050027,1.0813875279680312,0.47748394381891857,1.0,14.302430243024302,1
0.24645463108875193,0.11361806643738874,0.4072093477000686,1.0,13.32933293329333,1
0.2824532728706099,0.731784077174689,0.0024214867540082656,1.0,6.125612561256125,1
0.13385534190257642,0.09655220081110297,0.15285372116718193,1.0,4.935493549354935,0
0.025306246899217927,0.0738704889532309,0.163926742988616,1.0,6.3146314631463145,1
1.017839400845342,0.7378840615955254,3.1264089740442924,1.0,6.573657365736573,0
0.8474908418997188,1.1421874994661791,1.3429317659337778,1.0,8.61086108610861,1
0.9420929400295375,0.16173532898870246,1.388317598893942,1.0,9.996999699969997,1
0.3830006806472949,0.006450808756225461,0.9011137433630303,1.0,7.74977497749775,1
0.011165655393180844,0.220668957758344,0.6917905309062755,1.0,7.343734373437344,1
1.543501740482982,1.4722491560917015,0.8308174016203079,1.0,6.986698669866986,1
0.16803270916029087,3.0521630813637737,0.03508524402571821,1.0,18.13181318131813,1
2.1599455062417348,0.0016443454756151592,1.4431583362034506,1.0,4.3824382438243825,1
0.24914150677385835,0.6289922177541856,2.3185127524771802,1.0,8.743874387438744,1
0.13739886890892708,0.10774781856797644,0.35481167382045087,1.0,11.446144614461446,1
0.6373407906014511,2.847187748105618,1.4591368042456336,1.0,7.623762376237623,1
1.109732229469341,0.4055610171383578,0.01885561102032082,1.0,10.634063406340633,1
0.03186494686204995,1.7537585795238957,0.25204021431219875,1.0,8.51985198519852,1
1.6312688072399446,1.5886207744057816,3.709898616415432,1.0,4.48044804480448,1
"""), header=1)



waltons_data = generate_waltons_data()
regression_data = generate_regression_dataset()